///////////////////////////
//	File: CMissile.cpp
//	Author:	Eric Green
//	Purpose: Missile class function definitions
#include "CMissile.h"
#include "CSGD_TextureManager.h"
#include "CSGD_ObjectManager.h"
#include "SGD_Math.h"
#pragma warning(disable:4244)

CMissile::CMissile(void)
{	
	SetHealth(3);
}

CMissile::~CMissile(void)
{
}

void CMissile::Render()
{
	CSGD_TextureManager::GetInstance()->Draw(GetID(), (int)GetXPos(),(int)GetYPos());
}

void CMissile::Update()
{
	
	CBase::Update();

	//CBase::Update();
	//WRITE BG SWITCHER LATER
	/*if(GetYPos() <= -600)
		SetYPos(2400);*/
}